%define name urlview
%define release 1mdk
%define version 0.8.1

Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking/Mail
Source: ftp://ftp.cs.hmc.edu/pub/me/%{name}-%{version}.tar.bz2
#Patch: urlview-default.patch.bz2
Requires: slang >= 0.99.38, webclient
Buildroot: /var/tmp/urlview-root
Summary: A URL extractor/viewer for use with Mutt.

%description
urlview extracts URLs from a given text file, and presents a menu
of URLs to view using a user specified command.

%prep
%setup -q -n %{name}-%{version}
#%patch -p1 -b .default

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-slang
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}
make prefix=$RPM_BUILD_ROOT/usr install
install -m755 url_handler.sh $RPM_BUILD_ROOT/usr/bin/url_handler.sh
strip $RPM_BUILD_ROOT/usr/bin/urlview


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING
%doc INSTALL README sample.urlview 
%doc urlview.sgml
/usr/bin/urlview
/usr/bin/url_handler.sh
/usr/man/man1/urlview.1.bz2

%changelog
* Mon Apr 03 2000 Daouda Lo <daouda@mandrasoft.com> 0.8.1-1mdk
- fresh release 0.8.1
- added define section in spec
- cleanup spec file

* Thu Mar 23 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-6mdk
- fix group
* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Mar 18 1999 Bill Nottingham <notting@redhat.com>
- strip binary
- fix defaults some

* Sat Dec 12 1998 Bill Nottingham <notting@redhat.com>
- initial build
